Name:		abiword-docs
Summary:	Documentation and help files for Abiword
Version:	3.0.0
Release:	%mkrel 2
Group:		Documentation
URL:		http://www.abisource.com/
License:	GPLv2+
Source0:	http://www.abisource.com/downloads/abiword/%{version}/source/%{name}-%{version}.tar.gz
BuildRequires:	abiword-devel >= 3.0
BuildRequires:	pkgconfig(libglade-2.0)
# Exclude some pages pending http://bugzilla.abisource.com/show_bug.cgi?id=13459
Patch0:		abiword-docs-2.9.4-mga-temp_build_fix-en-US-Makefile.in.patch
Patch1:		abiword-docs-2.9.4-mga-temp_build_fix-pl-PL-Makefile.in.patch
Patch2:		abiword-docs-2.9.4-mga-temp_build_fix-fr-FR-Makefile.in.patch
%description
Documentation and help files for Abiword.

#--------------------------------------------
%package en
Summary:	English documentation and help files for Abiword
Group:		Documentation
BuildArch:	noarch
Requires:	locales-en
Obsoletes:	abiword-doc-en < 2.7.8
Provides:	abiword-doc = %{version}-%{release}

%description en
English documentation and help files for Abiword.

%files en
%{_datadir}/abiword*/help/en-US
%dir %{_datadir}/abiword*/help/

#--------------------------------------------
%package fr
Summary:	French documentation and help files for Abiword
Group:		Documentation
BuildArch:	noarch
Requires:	locales-fr
Obsoletes:	abiword-doc-fr < 2.7.8
Provides:	abiword-doc = %{version}-%{release}

%description fr
French documentation and help files for Abiword.

%files fr
%{_datadir}/abiword*/help/fr-FR
%dir %{_datadir}/abiword*/help/

#--------------------------------------------
%package pl
Summary:	Polish documentation and help files for Abiword
Group:		Documentation
BuildArch:	noarch
Requires:	locales-pl
Obsoletes:	abiword-doc-pl < 2.7.8
Provides:	abiword-doc = %{version}-%{release}

%description pl
Polish documentation and help files for Abiword.

%files pl
%{_datadir}/abiword*/help/pl-PL
%dir %{_datadir}/abiword*/help/

#--------------------------------------------

%prep
%setup -q -n %{name}-%{version}
%patch0 -p0 -b .abiword-docs-2.9.4-mga-temp_build_fix-en-US-Makefile.in.patch
%patch1 -p0 -b .abiword-docs-2.9.4-mga-temp_build_fix-pl-PL-Makefile.in.patch
%patch2 -p0 -b .abiword-docs-2.9.4-mga-temp_build_fix-fr-FR-Makefile.in.patch

%build
%configure2_5x
%make

%install
%makeinstall_std


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 3.0.0-2.mga4
+ Revision: 542054
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 fwang <fwang> 3.0.0-1.mga4
+ Revision: 496781
- bump req
- new version 3.0.0

* Sat Feb 16 2013 fwang <fwang> 2.9.4-3.mga3
+ Revision: 398723
+ rebuild (emptylog)

* Wed Jan 23 2013 barjac <barjac> 2.9.4-2.mga3
+ Revision: 391738
- temporarily remove some docs pending upstream bug fix
- clean spec
- change BR to pkgconfig style
- packages should be noarch

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + fwang <fwang>
    - new version 2.9.4
    - build with xvfb
    - update rpm group

  + tv <tv>
    - fix leaving empty unowned directories on upgrade or removal

* Tue Jun 26 2012 fwang <fwang> 2.9.3-1.mga3
+ Revision: 263865
- new version 2.9.3

* Fri Nov 25 2011 fwang <fwang> 2.9.2-1.mga2
+ Revision: 171843
- new version 2.9.2

* Thu Feb 24 2011 ennael <ennael> 2.8.6-1.mga1
+ Revision: 59123
- imported package abiword-docs


* Sat Jan 29 2011 Funda Wang <fwang@mandriva.org> 2.8.6-1mdv2011.0
+ Revision: 633940
- update to new version 2.8.6

* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 2.8.4-2mdv2011.0
+ Revision: 609904
- rebuild

* Sun Apr 18 2010 Funda Wang <fwang@mandriva.org> 2.8.4-1mdv2010.1
+ Revision: 536083
- new version 2.8.4

* Sun Apr 04 2010 Funda Wang <fwang@mandriva.org> 2.8.3-1mdv2010.1
+ Revision: 531236
- new version 2.8.3

* Sat Feb 13 2010 Funda Wang <fwang@mandriva.org> 2.8.2-1mdv2010.1
+ Revision: 505499
- New version 2.8.2

* Fri Oct 30 2009 Frederic Crozat <fcrozat@mandriva.com> 2.8.1-1mdv2010.0
+ Revision: 460236
- Release 2.8.1

* Wed Oct 28 2009 Frederic Crozat <fcrozat@mandriva.com> 2.8.0-1mdv2010.0
+ Revision: 459642
- Fix builrequires
- Release 2.8.0

* Sat Aug 22 2009 Funda Wang <fwang@mandriva.org> 2.7.8-1mdv2010.0
+ Revision: 419502
- import abiword-docs

